Customize the Primary Toolbar in JavaScript (ES6) PDF Viewer

15 Aug 20264 minutes to read

The primary toolbar of the PDF Viewer can be customized by rearranging existing items, disabling default items, and adding custom items. New items can be inserted at a specific index among existing toolbar items to control placement.

Show or hide the primary toolbar

Toggle the built-in primary toolbar to create custom toolbar experiences or simplify the UI. When a custom toolbar is required, hide the built-in toolbar. Use the [enableToolbar] (https://ej2.syncfusion.com/documentation/api/pdfviewer/pdfViewerModel/#enabletoolbar) property or the [showToolbar] (https://ej2.syncfusion.com/documentation/api/pdfviewer/toolbar/#showtoolbar) method to show or hide the primary toolbar.method to show or hide the primary toolbar.

Show or hide the toolbar using the enableToolbar property

import { PdfViewer, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation,
    ThumbnailView, BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner} from '@syncfusion/ej2-pdfviewer';

PdfViewer.Inject( Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView,
             BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner );

let pdfviewer: PdfViewer = new PdfViewer({
    enableToolbar: false,
    documentPath:'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
    resourceUrl:"https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib"
});
pdfviewer.appendTo('#PdfViewer');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 PDF Viewer</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="TypeScript PDF Viewer Control" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.1.23/material.css" rel="stylesheet" />


    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
	<script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div id='PdfViewer' style="height:500px;width:100%;"></div>
    </div>
</body>
</html>

The following code snippet explains how to show or hide the toolbar using the showToolbar method.

import { PdfViewer, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView,
    BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner} from '@syncfusion/ej2-pdfviewer';

PdfViewer.Inject( Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView,
             BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner );

let pdfviewer: PdfViewer = new PdfViewer({
    documentPath:'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
    resourceUrl:"https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib"
});
pdfviewer.appendTo('#PdfViewer');
document.getElementById('set').addEventListener('click', ()=> {
    pdfviewer.toolbar.showToolbar(false);
});
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 PDF Viewer</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="TypeScript PDF Viewer Control" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.1.23/material.css" rel="stylesheet" />


    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
   <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>Loading....</div>
    <button id="set">showToolbarItem</button>
    <div id='container'>
        <div id='PdfViewer' style="height:500px;width:100%;"></div>
    </div>
</body>
</html>

Customize the Primary Toolbar in Angular PDF Viewer

14 Aug 20265 minutes to read

Overview

This guide explains how to show or hide the primary toolbar, remove default items, and add custom toolbar items.

Outcome: Working Angular example customizing the primary toolbar.

Prerequisites

Steps

1. Show or hide primary toolbar at initialization

Set enableToolbar to false to hide the built-in toolbar.

import { Component } from '@angular/core';
import { PdfViewerModule, ToolbarService, MagnificationService, NavigationService, AnnotationService, LinkAnnotationService,
  ThumbnailViewService, BookmarkViewService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService } from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  providers: [
    ToolbarService, MagnificationService, NavigationService, AnnotationService, LinkAnnotationService,
    ThumbnailViewService, BookmarkViewService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService
  ],
  template: `<ejs-pdfviewer id="PdfViewer"
    style="height:500px;width:100%;"
    [documentPath]="documentPath"
    [resourceUrl]="resourceUrl"
    [enableToolbar]="false">
  </ejs-pdfviewer>`
})
export class AppComponent {
  public documentPath: string = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
  public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib';
}

2. Show or hide primary toolbar at runtime

Use the viewer’s showToolbar() method to show or hide dynamically.

// with a ViewChild reference named pdfViewerObj
this.pdfViewerObj.toolbar.showToolbar(false);

3. Show or hide primary toolbar items

Provide the toolbarItems array with the exact set and order of items you want to show. Any item omitted is hidden.

  • TS
  • <ejs-pdfviewer
      [toolbarSettings]="{ toolbarItems: ['OpenOption', 'DownloadOption', 'PrintOption', 'MagnificationTool'] }">
    </ejs-pdfviewer>

    4. Add a custom primary toolbar item

    Add a custom item by including an object in toolbarItems and handling its action via toolbarClick. The following example shows adding a simple custom button at initialization.

  • TS
  • const customItems = [
      'OpenOption',
      {
        id: 'custom_btn',
        text: 'Fit to Width',
        align: 'Center'
      },
      'DownloadOption'
    ];
    <ejs-pdfviewer [toolbarSettings]="{ toolbarItems: customItems }" (toolbarClick)="onToolbarClick($event)"></ejs-pdfviewer>

    Complete example:

    import { Component, ViewChild } from '@angular/core';
    import { PdfViewerModule, ToolbarService, MagnificationService, NavigationService, AnnotationService, LinkAnnotationService,
      ThumbnailViewService, BookmarkViewService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService,
      PageOrganizerService, PdfViewerComponent } from '@syncfusion/ej2-angular-pdfviewer';
    import { CommonModule } from '@angular/common';
    import { ToolbarClickEventArgs } from '@syncfusion/ej2-navigations';
    
    @Component({
      selector: 'app-root',
      standalone: true,
      imports: [PdfViewerModule, CommonModule],
      providers: [
        ToolbarService, MagnificationService, NavigationService, AnnotationService, LinkAnnotationService,
        ThumbnailViewService, BookmarkViewService, TextSelectionService, TextSearchService, FormFieldsService, FormDesignerService,
        PageOrganizerService
      ],
      template: `<div>
        <button (click)="hideToolbar()"> Toolbar</button>
        <ejs-pdfviewer #pdfviewer
          id="PdfViewer"
          style="height:500px;width:100%;"
          [documentPath]="documentPath"
          [resourceUrl]="resourceUrl"
          [toolbarSettings]="{ toolbarItems: toolbarItems }"
          (toolbarClick)="onToolbarClick($event)">
        </ejs-pdfviewer>
      </div>`
    })
    export class AppComponent {
      @ViewChild('pdfviewer')
      public pdfViewerObj!: PdfViewerComponent;
    
      public showTool: boolean = true;
      public documentPath: string = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';
      public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib';
    
      public toolbarItems: any[] = [
        'OpenOption',
        {
          id: 'custom_btn',
          text: 'Fit to Width',
          align: 'Center'
        },
        'DownloadOption'
      ];
    
      hideToolbar(): void {
        this.showTool = !this.showTool;
        this.pdfViewerObj.toolbar.showToolbar(this.showTool);
      }
    
      onToolbarClick(event: ToolbarClickEventArgs): void {
        if (event.item && event.item.id === 'custom_btn') {
          this.pdfViewerObj.magnification.fitToWidth();
        }
      }
    }

    Expected result

    • The primary toolbar shows only the items you list in toolbarItems.
    • Clicking the Hide Toolbar / Show Toolbar button calls showToolbar() and hides or shows the toolbar at runtime.
    • Clicking the custom Fit to Width button calls fitToWidth() method.

    Troubleshooting

    • Toolbar still shows all default items.

Customize the Primary Toolbar in React PDF Viewer

14 Aug 20267 minutes to read

Overview

This guide explains how to show or hide the primary toolbar, remove default items, and add custom toolbar items.

Outcome: Working React example customizing the primary toolbar.

Prerequisites

Steps

1. Show or hide primary toolbar at initialization

Set enableToolbar to false to hide the built-in toolbar.

import React from 'react';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView, BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner, Inject } from '@syncfusion/ej2-react-pdfviewer';

export default function App() {
    return (
        <PdfViewerComponent
            id="pdfViewer"
            enableToolbar={false}
            documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
            resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
            style={{ height: '500px' }}>
            <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView, BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner]} />
        </PdfViewerComponent>
    );
}

2. Show or hide primary toolbar at runtime

Use the viewer’s showToolbar() method to show or hide dynamically.

// with a ref named pdfviewer
pdfviewer.toolbar.showToolbar(false);

3. Show or hide primary toolbar items

Provide the toolbarItems array with the exact set and order of items you want to show. Any item omitted is hidden.

  • TS
  • <PdfViewerComponent
        toolbarSettings={{
        toolbarItems: ['OpenOption', 'DownloadOption', 'PrintOption', 'MagnificationTool']
        }}
    />

    4. Add a custom primary toolbar item

    Add a custom item by including an object in toolbarItems and handling its action via toolbarClick. The following example shows adding a simple custom button at initialization and wiring its toolbarClick handler.

  • TS
  • const customItems: (CustomToolbarItem | ToolbarItem)[] = [
        'OpenOption',
        {
            id: 'custom_btn',
            text: 'Fit to Width',
            align: 'Center'
        } as CustomToolbarItem,
        'DownloadOption'
    ];
    <PdfViewerComponent toolbarSettings={{ toolbarItems: customItems }} />

    Complete example:

    import { useRef, RefObject, useState } from 'react';
    import { PdfViewerComponent, Toolbar, Inject, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView, BookmarkView, TextSearch, TextSelection, FormFields, FormDesigner, PageOrganizer, CustomToolbarItem, ToolbarItem } from '@syncfusion/ej2-react-pdfviewer';
    import { ClickEventArgs } from '@syncfusion/ej2-react-navigations';
    
    export function App() {
        const pdfviewerRef: RefObject<PdfViewerComponent> = useRef<any>(null);
        const buttonRef: RefObject<HTMLButtonElement> = useRef<any>(null);
        const [showTool, setShowTool] = useState<boolean>(false);
        const handler = () => {
            const temp: boolean = showTool;
            pdfviewerRef.current?.toolbar.showToolbar(temp);
            setShowTool(!temp);
        }
        const handleToolbarClick = (event: ClickEventArgs) => {
            if (event.item.id === 'custom_btn') {
                handleFitToWidth();
            }
        }
        const handleFitToWidth = () => pdfviewerRef.current?.magnification.fitToWidth();
        const toolbarItems: (CustomToolbarItem | ToolbarItem)[] = [
            'OpenOption',
            {
                id: 'custom_btn',
                text: 'Fit to Width',
                align: 'Center'
            } as CustomToolbarItem,
            'DownloadOption'
        ];
        return (
            <div>
                <button id="set" ref={buttonRef} onClick={() => handler()}>Hide toolbar</button>
                <PdfViewerComponent
                    id="PdfViewer"
                    ref={pdfviewerRef}
                    enableNavigationToolbar={false}
                    documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
                    resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
                    toolbarSettings={{ toolbarItems: toolbarItems }}
                    toolbarClick={handleToolbarClick}
                    style={{ height: '500px' }}>
                    <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, ThumbnailView,
                        BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer]} />
                </PdfViewerComponent>
            </div>
        );
    }

    Expected result

    • The primary toolbar shows only the items you list in toolbarItems.
    • Clicking Hide toolbar calls showToolbar(false) and hides or shows the toolbar at runtime.

    Troubleshooting

    • Toolbar still shows all default items.
      • Solution: toolbarItems must be supplied exactly; verify names and that Toolbar service is injected.

Primary Toolbar Customization in Vue PDF Viewer

29 Jul 20266 minutes to read

The primary toolbar of the PDF Viewer can be customized by rearranging existing items, disabling default items, and adding custom items. New items can be inserted at a specific index among existing toolbar items to control placement.

Show or hide the primary toolbar

Toggle the built-in primary toolbar to create custom toolbar experiences or simplify the UI. When a custom toolbar is required, hide the built-in toolbar. Use the enableToolbar property or the showToolbar method to show or hide the primary toolbar.

Show or hide the toolbar using the enableToolbar property:

<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :enableToolbar="false" :resourceUrl="resourceUrl">
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
import {
  PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation, LinkAnnotation,
  BookmarkView, ThumbnailView, Print, TextSelection, TextSearch,
  Annotation, FormDesigner, FormFields
} from '@syncfusion/ej2-vue-pdfviewer';
import { provide } from 'vue';

const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";
const resourceUrl = "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib";

provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, Annotation,
  ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner])

</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer" :documentPath="documentPath" :enableToolbar="false" :resourceUrl="resourceUrl">
    </ejs-pdfviewer>
  </div>
</template>

<script>
import {
  PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation,
  BookmarkView, ThumbnailView, Print, TextSelection, TextSearch,
  Annotation, FormDesigner, FormFields
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  name: "App",
  components: {
    "ejs-pdfviewer": PdfViewerComponent
  },
  data() {
    return {
      documentPath: "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf",
      resourceUrl: "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib",
    };
  },
  provide: {
    PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, Annotation,
      ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner]
  }
}
</script>

NOTE

To set up the server-backed PDF Viewer in the App.vue file, include the following serviceUrl:
serviceUrl: “https://document.syncfusion.com/web-services/pdf-viewer/api/pdfviewer”
Within the template, configure the PDF Viewer by adding the :serviceUrl=”serviceUrl” attribute.

The following code snippet explains how to show or hide the toolbar using the showToolbar method.

<template>
  <div id="app">
    <button v-on:click="showToolbarClicked">showToolbarClicked</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl">
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
import {
  PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation, LinkAnnotation,
  BookmarkView, ThumbnailView, Print, TextSelection, TextSearch,
  Annotation, FormDesigner, FormFields
} from '@syncfusion/ej2-vue-pdfviewer';
import { provide, ref } from 'vue';

const pdfviewer = ref(null);
const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";
const resourceUrl = "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib";

provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
  ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner])

const showToolbarClicked = function () {
  pdfviewer.value.ej2Instances.toolbar.showToolbar(false);
}
</script>
<template>
  <div id="app">
    <button v-on:click="showToolbarClicked">showToolbarClicked</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl">
    </ejs-pdfviewer>
  </div>
</template>

<script>
import {
  PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation,
  BookmarkView, ThumbnailView, Print, TextSelection, TextSearch,
  Annotation, FormDesigner, FormFields
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  name: "App",
  components: {
    "ejs-pdfviewer": PdfViewerComponent
  },
  data() {
    return {
      documentPath: "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf",
      resourceUrl: "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
    };
  },
  provide: {
    PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, Annotation, BookmarkView,
      ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner]
  },
  methods: {
    showToolbarClicked: function () {
      this.$refs.pdfviewer.ej2Instances.toolbar.showToolbar(false);
    }
  }
}
</script>

NOTE

To set up the server-backed PDF Viewer in the App.vue file, include the following serviceUrl:
serviceUrl: “https://document.syncfusion.com/web-services/pdf-viewer/api/pdfviewer”
Within the template, configure the PDF Viewer by adding the :serviceUrl=”serviceUrl” attribute.

See also